Home Wiki > Portal:Tumbleweed
Sign up | Login

Portal:Tumbleweed

tagline: De openSUSE

Bem-vindo ao Portal Tumbleweed editar

openSUSE Tumbleweed

500px-Tumbleweed-black-green.png


A distribuição Tumbleweed é uma versão de atualização contínua ("rolling release") do openSUSE. Essa versão contém sempre as últimas versões estáveis de todos os aplicativos e programas. É direcionada àqueles usuários que desejam sempre as versões mais novas e estáveis do sistema.

Tópicos editar

{{Point here|Icon-user.png| Quem deve experimentar a Tumbleweed?

Qualquer usuário que deseje ter os pacotes mais recentes que estejam disponíveis nos repositórios da versão 42.2 do openSUSE. Isso inclui, mas não está limitado a: uma atualização do kernel Linux SAMBA, git, áreas de trabalho, aplicativos de escritório e muitos outros pacotes.

Além disso, o Tumbleweed também é recomendado para usuários avançados, desenvolvedores que desejam as últimas versões e contribuidores openSUSE.

Devido ao kernel do Linux ser atualizado muito frequentemente, os usuários que dependem de drivers gráficos proprietários não devem usar o repositório Tumbleweed, salvo se estiverem familiarizados com a atualização desses drivers a partir do fonte, fazendo isto por conta própria. Veja os artigos SDB:NVIDIA e ATI, seção "da maneira mais difícil", para saber como fazer isto, se você está interessado. Observe que os repositórios adicionais Packman estão disponíveis para Tumbleweed!

Icon-user.png

Quando você deve se manter no lançamento estável

Neste momento não há nenhuma garantia de ter todos os módulos adicionais. Tal como para o VMware ou VirtualBox. E como os repositórios Packman Tumbleweed essenciais tenta distribui-los, isto pode falhar no caso de kernels muito avançados que o Tumbleweed proporcionará. Além disso, se você precisa usar módulos gráficos proprietários, haverá alguns problemas. Se você não sabe como compilar seus próprios módulos adicionais e você não quer saber, por favor, não use o Tumblweed.

Icon-package.png

Como experimentar o Tumbleweed?

  • Remova as versões específicas dos repositórios do openSUSE 11.4 (ou 12.1 ou posterior)
  • use ou o one-click-install ou execute os comandos a seguir como root em um terminal para adicionar os repositórios do Tumbleweed

- Adicione o Tumbleweed para os seus repositórios de instalação, no YaST ou pelo zypper, e habilite a opção de atualização automática:

sudo zypper ar --refresh \
http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/ \
Tumbleweed

- Adicione os repositórios current do openSUSE com atualização automática habilitada:

sudo zypper ar --refresh \
http://download.opensuse.org/distribution/openSUSE-current/repo/oss/ \
'openSUSE Current OSS'

sudo zypper ar --refresh \
http://download.opensuse.org/distribution/openSUSE-current/repo/non-oss/ \
'openSUSE Current non-OSS'

sudo zypper ar --refresh \
http://download.opensuse.org/update/openSUSE-current/ \
'openSUSE Current updates'

Ao ser lançada uma nova versão, os servidores do openSUSE irão manejar automaticamente as alterações necessárias de forma transparente para o usuário.

  • Faça uma atualização de repositórios e uma atualização na distribuição a partir do Tumbleweed como necessário. Na primeira vez você precisará aceitar as chaves GPG.
  • Permita a alteração de fornecedor para o repositório Tumbleweed. Isto precisa ser feito para poder obter as atualizações para os pacotes existentes no Tumbleweed.

O único método suportado de uso de repositórios para o Tumbleweed é ter apenas os repositórios principais (OSS, Non-OSS e Update) e o repositório Tumbleweed ativos. Nesta situação um simples

sudo zypper dup

irá atualizar seus pacotes e se qualquer pacote for revertido no Tumbleweed o zypper dup irá manejar isto também.

Apesar de não ser suportado, se você escolher ter outros repositórios habilitados, este comando é seguro:

sudo zypper dup --from Tumbleweed

Você precisará permitir alterar o fornecedor para o Tumbleweed. Isto é feito criando um arquivo chamado Tumbleweed.conf no diretório /etc/zypp/vendors.d/ com o seguinte conteúdo:

[main]

vendors = suse,opensuse,obs://build.opensuse.org/openSUSE:Tumbleweed



Icon-keyboard.png

Preocupações especiais

  • Máquias virtuais

O openSUSE 11.4 suporta VirtualBox. Devido a ele não estar no kernel principal e o Tumbleweed receber rotineiramente atualizações do kernel, foi decidio não dar suporte ao VirtualBox no repositório principal do Tumbleweed.

O Tumbleweed suporta as arquiteturas de máquina virtual vmware e hyper-v

Isto se deve ao fato de ele estarem no kernel principal e não necessitarem recursos extras para torná-los disponíveis em cada atualização do kernel.

  • Drivers de terceiros

Se você tem módulos do kernel de terceiros, Greg KH (o mantenedor principal do Tumbleweed) sugere FORTEMENTE que você não use o Tumbleweed. Sério, não vale a pena e o trabalho extra, a menos que você _realmente_ queira fazê-lo.

E se você fizer, novamente, você está por si só, desculpe.


Icon-keyboard.png

Como posso contribuir?

  • É possível testar o repositório da Tumbleweed e fornecer um retorno sobre a experiência, compartilhar experiências e relatar problemas para a lista de discussão do openSUSE Factory. Se o acesso direto à lista falhar, utilize a opção inscreva-se usando este link. Não esqueça de responder ao e-mail de confirmação que o servidor de listas enviará, em poucos minutos, depois do seu e-mail inicial. Desta forma prevenimos que ninguém o inscreva, sem o seu consentimento, para a lista.
  • Se você é um empacotador, você pode submeter novos pacotes para o repositório openSUSE:Tumbleweed. Por enquanto:
    • pode-se usar a lista de discussão do openSUSE Factory para oferecer um pacote.
    • em geral, pacotes que já estejam incluídos em outros projetos, podem ser aceitos no Tumbleweed. Nossas regras são como as de quaisquer outros repositórios, a decisão do mantenedor é a final.


Lançamentos editar

Próximo Lançamento:

small.pt.png

Versão Atual:

Versões Anteriores Mantidas:


Dúvidas recorrentes editar

Quais os tipos de pacotes serão atualizados na Tumbleweed?

O que você quer ver atualizado? Sério, isso é algo que qualquer pessoa pode solicitar, quais os seus pacotes a serem atualizados. Confiaremos nos mantenedores dos pacotes que serão os únicos a determinar as versões "estáveis" a serem carregadas para a Tumbleweed.

Isso pode ajudar com os projetos que nem sempre alinham suas datas de lançamento com lançamentos existentes do openSUSE. Por exemplo, o GNOME 3.0 está disponível para usuários da Tumbleweed agora, após o lançamento do openSUSE 11.4.